## python-elementary 0.1%2bsvn41533-maemo1

=== Makefile ===
build_ext:
	python setup.py build_ext

install: build_ext
	python setup.py install

uninstall:
	rm -rf /usr/lib/python/site-packages/python_elementary-0.1-py2.5-linux-i686.egg

clean:
	rm -rf build dist python_elementary-0.1-py2.5-linux-i686.egg python_elementary.egg-info 
	rm elementary/elementary.c_elementary.c
	rm elementary/*~
	rm include/*~

=== debian/changelog ===
python-elementary (0.1+svn41533-maemo1) extras-devel; urgency=low

  * SVN snapshot release 41533

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 18 Aug 2009 18:50:29 -0300

python-elementary (0.1.0-1) unstable; urgency=low

  * Initial release

 -- quaker <quaker66@gmail.com>  Fri, 03 Jan 2008 09:29:55 +0100

=== debian/control ===
Source: python-elementary
Section: python
Priority: extra
Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
Build-Depends: cdbs, debhelper (>= 4),  maemo-cflags-cdbs-rules (>= 0.0.4), python2.5-dev (>= 2.5.1-1osso6), python2.5-cython-dev | cython, python2.5-pyrex (>= 0.9.5.1) | python-pyrex (>= 0.9.5.1), python2.5-setuptools (>= 0.6c6) | python-setuptools (>= 0.6c6) , libelementary0-dev (>= 0.5.1.0+svn41533-maemo1), python2.5-evas-dev (>= 0.3.1+svn41533-maemo1), libecore0-dev (>= 0.9.9.062+svn41533-maemo1), libeina0-dev (>= 0.0.2.062+svn41533-maemo1)
Standards-Version: 3.8.1
Homepage: http://enlightenment.org

Package: python2.5-elementary
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libelementary0 (>= 0.5.1.0+svn41533-maemo1) python2.5-evas (>= 0.3.1+svn41533-maemo1), python2.5-ecore (>= 0.3.1+svn41533-maemo1)
Provides: python-elementary
Description: Python bindings for elementary
 This package contains python elementary module.
 .
 Elementary - a basic widget set that is easy to use based on EFL for mobile
 touch-screen devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/maemo-cflags.mk

DEB_DESTDIR=$(CURDIR)/debian/tmp

PYVER=2.5
PYTHON=python$(PYVER)

build: build-stamp
build-stamp:
	dh_testdir
	touch elementary/elementary.*.pyx
	CFLAGS="$(CFLAGS)" $(PYTHON) setup.py build_ext build
	touch build-stamp
clean:
	dh_testdir
	dh_testroot
	CFLAGS="$(CFLAGS)" $(PYTHON) setup.py clean
	-rm -f build-stamp
	-rm -rf build dist python_elementary.egg-info
	-rm -f elementary/*.py[co]
	-rm -f *.py[co]
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	CFLAGS="$(CFLAGS)" $(PYTHON) setup.py install --root=$(DEB_DESTDIR)
	if [ "x$(DEB_BUILD_ARCH)" = "xarmel" ]; then \
		rm -rf $(DEB_DESTDIR)/usr/lib/$(PYTHON)/site-packages/elementary/*.py; \
		rm -rf $(DEB_DESTDIR)/usr/lib/$(PYTHON)/site-packages/elementary/*.pyc; \
	fi
	dh_install --sourcedir=$(DEB_DESTDIR) --fail-missing

binary: binary-arch
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installdebconf
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build install clean binary binary-arch

## python-elementary 0.7.3

=== debian/changelog ===
python-elementary (0.7.3-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version, no change required
  * Add debian/watch
  * Switch to '3.0 (quilt)' source format
  * Follow upstream change from distutils to autotools
  * Stop installing .pyc and .pyo files

 -- Albin Tonnerre <lutin@debian.org>  Sun, 17 Oct 2010 22:13:10 +0200

python-elementary (0.5.0+r50638-1) unstable; urgency=low

  * New SVN snapshot.
    - Makes python-elementary build again (Closes: #591128)
  * Remove python-elementary-dev: source no longer provides development files

 -- Albin Tonnerre <lutin@debian.org>  Tue, 03 Aug 2010 23:47:00 +0200

python-elementary (0.1+svn20091221-1) unstable; urgency=low

  * Initial upload. (Closes: #557480)

 -- Albin Tonnerre <lutin@debian.org>  Thu, 17 Dec 2009 13:14:38 +0100

=== debian/control ===
Source: python-elementary
Section: python
Priority: extra
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>
Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49),
 python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3), python-epydoc,
 python-setuptools (>= 0.6c9), cython, python-pyrex,
 libelementary-dev (>= 0.7.0.52890), python-evas-dev,
 libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-e/bindings/python-elementary.git
Vcs-Git: git://git.debian.org/pkg-e/bindings/python-elementary.git
Homepage: http://enlightenment.org

Package: python-elementary
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for the Elementary widget set library
 Elementary is a widget set based on the Enlightenment Foundation Libraries,
 primarily aimed at creating graphical user interfaces for mobile and embedded
 devices.
 .
 This package contains modules that allow using elementary from Python.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport
DEB_DESTDIR = $(CURDIR)/debian/tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

=== debian/watch ===
version=3
http://download.enlightenment.org/releases/BINDINGS/python/python-elementary-(.*)\.tar\.bz2
